#ifndef SETTINGS_H
#define SETTINGS_H

#include <Preferences.h>
#include <ui/vars.h>


class Settings {
public:

    typedef struct preferences_s {
        float defTemp;
        bool enBuff;
        char hostname[40];
        char mqtt_server[40];
        char mqtt_topic[40];
        char ntpServer[40];
        int mqtt_port;
    } preferences_t;

    static Settings& getInstance(void);
    void saveSettings(void);
    void loadSettings(void);
    preferences_t& getPrefs(void);
    static preferences_t prefs;

private:
    Settings();
    ~Settings();

    Preferences preferences;
    
};

#endif // SETTINGS_H